Skip to main content
POST
/
v3
/
async
/
kling-v3.0-std-t2v
Kling v3.0 Standard Text-to-Video
curl --request POST \
  --url https://api.novita.ai/v3/async/kling-v3.0-std-t2v \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "sound": true,
  "prompt": "<string>",
  "duration": 123,
  "cfg_scale": 123,
  "aspect_ratio": "<string>",
  "negative_prompt": "<string>"
}
'
import requests

url = "https://api.novita.ai/v3/async/kling-v3.0-std-t2v"

payload = {
"sound": True,
"prompt": "<string>",
"duration": 123,
"cfg_scale": 123,
"aspect_ratio": "<string>",
"negative_prompt": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
sound: true,
prompt: '<string>',
duration: 123,
cfg_scale: 123,
aspect_ratio: '<string>',
negative_prompt: '<string>'
})
};

fetch('https://api.novita.ai/v3/async/kling-v3.0-std-t2v', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "task_id": "<string>"
}
Kling v3.0 Standard Text-to-Video generates high-quality videos from text prompts with smooth motion, cinematic visuals, accurate prompt adherence, and optional native audio co-generation. Supports 3-15 second duration with multiple aspect ratios.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.

Request Headers

Content-Type
string
required
Supports: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

sound
boolean
default:false
Whether to generate audio simultaneously when generating video. Supports Chinese and English voice output.
prompt
string
required
Positive prompt text for video generation; must not exceed 2500 characters.Length limit: 0 - 2500
duration
integer
default:5
Duration of generated video in seconds.Optional values: 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15
cfg_scale
number
Controls the flexibility of video generation. Use 0 for maximum creativity, 0.5 (default) for balanced results, or 1 for strict adherence to the prompt.Value range: [0, 1]
aspect_ratio
string
default:"16:9"
Aspect ratio of the generated video.Optional values: 16:9, 9:16, 1:1
negative_prompt
string
Negative prompt describing elements to avoid in the generated video; must not exceed 2500 characters.Length limit: 0 - 2500

Response

task_id
string
required
Use the task_id to request the Task Result API to retrieve the generated outputs.
Last modified on February 28, 2026